<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\css_hazard\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20200910123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20180910123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */

    public function up()    {
        $this->execute("
              CREATE TABLE IF NOT EXISTS `css_hazardConfig` (
                  `version` float NOT NULL DEFAULT '100',
                  `sqlupdate` int(10) NOT NULL DEFAULT '0',
                  `pluginActive` char(1) NOT NULL default 'N',
                  `framework` char(3) NOT NULL default 'B4',
                  `selector_position_detail` varchar(255) NOT NULL DEFAULT 'after',
                  `selector_detail` varchar(255) NOT NULL DEFAULT '#product-offer',
                  `selector_button_position_detail` varchar(255) NOT NULL DEFAULT 'prepend', 
                  `selector_button_detail` varchar(255) NOT NULL DEFAULT '#add-to-cart',
                  `showModal` char(1) NOT NULL DEFAULT 'Y',
                  `moveBasketButton` char(1) NOT NULL DEFAULT 'N',
                  `showInFilter` char(1) NOT NULL DEFAULT 'N'
                ) ENGINE=InnoDB COLLATE utf8_unicode_ci
        ");


        $result = $this->getDB()->query(
            'SELECT * from `css_hazardConfig` where 1',
            2
        );

        if($result === null || count($result) < 1) {
           $this->execute(
            "INSERT INTO `css_hazardConfig` (`showModal`) VALUES ('Y')"
            );
        }
    }

    /**
     * @inheritdoc
     */
    public function down() {
        if ($this->doDeleteData()) {
        }
    }
}
